Vector::BLF::MostHwMode(3)

NAME
Vector::BLF::MostHwMode - MOST_HWMODE.

SYNOPSIS

#include <MostHwMode.h>

Inherits Vector::BLF::ObjectHeader2.

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader2
ObjectHeader2 (const ObjectType objectType)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint16_t channel {}
application channel
uint16_t reservedMostHwMode {}
uint16_t hwMode {}
bypass/master/slave/spy
uint16_t hwModeMask {}
marks the altered bits
Public Attributes inherited from Vector::BLF::ObjectHeader2
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint8_t timeStampStatus {}
time stamp status
uint8_t reservedObjectHeader {0}
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {0}
object timestamp
uint64_t originalTimeStamp {0}
original object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

  Additional Inherited Members
Public Types inherited from Vector::BLF::ObjectHeader2
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }
enum TimeStampStatus : uint8_t { Orig = 0x01, SwHw = 0x02, User = 0x10 }

Detailed Description

MOST_HWMODE. This event is fired when one or more HW state changes. HW states are the AllBypass bit (e.g. ABY of OS8104), the Master/Slave selection (e.g. MTR of OS8104), the Control spy and the Asynchronous spy. The event transports all states even if only a single state has changed. hwModeMask denotes which state differs regarding to the previous HW mode event.

Member Function Documentation

  uint32_t Vector::BLF::MostHwMode::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::MostHwMode::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::MostHwMode::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint16_t Vector::BLF::MostHwMode::channel {}

application channel Application channel

  uint16_t Vector::BLF::MostHwMode::hwMode {}

bypass/master/slave/spy

•   Bit 0x01: Bypass: 0: open; 1: active

•   Bit 0x02: Timing mode: 0: slave; 1: master

•   Bit 0x04: Master mode: 0: static master; 1: nonstatic master

•   Bit 0x08: 0: Ethernet Spy active: 1: blocks "Ethernet Spy over MOST" channel

•   Bit 0x10: Control channel spy: 1: active

•   Bit 0x20: Async. channel spy: 1: active

•   Bit 0x40: 1: no "Ethernet over MOST" events (MOST150)

•   Bit 0x80: 1: no events from async. channel

  uint16_t Vector::BLF::MostHwMode::hwModeMask {}

marks the altered bits Bitmask of changed bits

  uint16_t Vector::BLF::MostHwMode::reservedMostHwMode {}
reserved

Author

Generated automatically by Doxygen for Vector BLF from the source code.